Page MenuHomeFreeBSD

Update kdevelop to version 4.7.0
ClosedPublic

Authored by alonso on Dec 3 2014, 2:40 PM.

Details

Summary

Merge the following revisions from area51:

Revision 10454

Fix options

Run-Time references on Okteta/Kasten used to be emited independend of the
OKTETA option switch, if Okteta/Kasten was installed on the system at build
time.

Honour the option and force CMake to ignore the presence of Okteta by
specifying KDE's macro_optional_find_package preemptive abort macro.

Revision 10455

Update kdevelop to version 4.7

Okteta OPTION tracking was fixed in the last commit. Further, preemt the
installation of okteta-specific NLS data if the OKTETA switch is disabled,
which causes remnants. Also, remove any @dirrm and @dirrmtry plist statements.
 
Builds and works on 10.1.

Revision 10485 (partially)

Remove kdehier references

PORTS Revision 371194 by makc removed kdehier references from two ports.

Original commit message for revision 371194:
  finance/skrooge and devel/kdevplatform:
   - Chase devel/grantlee update
   - remove deprecated USE_KDE4=kdehier

Merge that commit, and while doing so remove any remaining kdehier reference
on it within area51.

Revision 10486

Add newline-at-end-of-file
Test Plan

Apply patches to a recent ports tree, build and use...

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

alonso updated this revision to Diff 2619.Dec 3 2014, 2:40 PM
alonso retitled this revision from to Update kdevelop to version 4.7.0.
alonso updated this object.
alonso edited the test plan for this revision. (Show Details)
alonso added reviewers: rakuco, makc.
alonso set the repository for this revision to rP FreeBSD ports repository.
alonso added a subscriber: kde.
makc requested changes to this revision.Dec 3 2014, 3:45 PM
makc edited edge metadata.

devel/kdevelop-pg-qt is outdated in area51, sync it with portstree first. Other ports looks fine.

This revision now requires changes to proceed.Dec 3 2014, 3:45 PM
alonso updated this revision to Diff 2628.Dec 3 2014, 8:22 PM
alonso edited edge metadata.

Regenerate patch to not undo ports revision 373662 and contain area51 revision 10488

Revision 10488

Reset PORTREVISION

We aren't tracking bumps on area51 and this version is newer than it's PORTS
counterpart to begin with.

While here, remove @dirrm lines from plist which have been deprecated by
bapt's CHANGES entry of 2014-09-22.
alonso updated this revision to Diff 2629.EditedDec 3 2014, 8:33 PM
alonso edited edge metadata.

Regenerate the patch to partially revert area51's revision 10488. While area51 doesn't use PORTREVISION, the area51 version being more recent is wrong as kdevelop-pg-qt doesn't share kdevelop's version, so reintroduce PORTREVISION.

Given kdevelop is being updated, should PORTSREVISION be bumped?

rakuco edited edge metadata.Dec 3 2014, 9:00 PM

Given kdevelop is being updated, should PORTSREVISION be bumped?

If you mean bumping kdevelop-pg-qt's PORTREVISION, I don't think it's necessary, as it doesn't depend on any of the other kdev* ports anyway.

rakuco added a comment.Dec 3 2014, 9:03 PM

The changes look fine to me, but I'd like Max to take another look and accept it.

makc accepted this revision.Dec 3 2014, 10:36 PM
makc edited edge metadata.

Approved.

In D1261#10, @alonso wrote:

Regenerate the patch to partially revert area51's revision 10488. While area51 doesn't use PORTREVISION,

We don't have strict rule not to use PORTREVISION in area51, it just isn't needed usually. kdevelop-pg-qt have not been updated upstream for a long time, we have the same version in the portstree and area51. So it makes sense to sync PORTREVISION as well when syncing other changes. Or we could remove the port from area51 at all, if new releases are unlikely.

This revision is now accepted and ready to land.Dec 3 2014, 10:36 PM
alonso closed this revision.Dec 4 2014, 7:03 PM
alonso updated this revision to Diff 2637.

Closed by commit rP373980 (authored by @alonso).